## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.terminal3.io/llms.txt)

Use this file to discover all available pages before exploring further.

### cURL

```
curl --request GET \
  --url https://staging.terminal3.io/v1/sub_client \
  --header 'x-api-token: <x-api-token>'
```

### Python

```python
import requests

url = "https://staging.terminal3.io/v1/sub_client"

headers = {"x-api-token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {method: 'GET', headers: {'x-api-token': '<x-api-token>'}};

fetch('https://staging.terminal3.io/v1/sub_client', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes
- 200
- 400
- 401
- 403
- 422

### Example Response

```
{
  "data": [
    {
      "client_id": 123,
      "name": "<string>",
      "domain": "<string>",
      "timezone": "<string>",
      "address_1": "<string>",
      "address_2": "<string>",
      "country": "<string>",
      "province": "<string>",
      "city": "<string>",
      "subdomain": "<string>",
      "from_email_address": "<string>",
      "esp_token": "<string>",
      "recaptcha_key": "<string>",
      "recaptcha_threshold": 123,
      "recaptcha_enabled": true,
      "created_at": "<string>",
      "privacy_link": "<string>"
    }
  ],
  "per_page": 123,
  "current_page": 123,
  "total_pages": 123
}
```

### Error Response Example

```
{
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}
```

### Headers

#### x-api-token
- **Type:** string
- **Required:** true

#### Query Parameters
- **page**: number (Required range: `x > 0`)
- **per_page**: number (Required range: `0 < x < 100`)

#### Response
- **200**: application/json, Success
